function checkLogin() {
  try {
    const user = wx.getStorageSync('usermessage');
    if (!user || (typeof user === 'object' && Object.keys(user).length === 0)) {
      wx.showToast({
        title: '您未登录请先登录',
        icon:'error',
        duration:2000
      })
      setTimeout(() => {
        wx.navigateTo({
          url: '/pages/logain/logain',
        });
      }, 2000);
    }
  } catch (e) {
    wx.navigateTo({
      url: '/pages/logain/logain',
    });
  }
}


function checkLogin2() {
  try {
    const user = wx.getStorageSync('usermessage');
    if (!user || (typeof user === 'object' && Object.keys(user).length === 0)) {
      wx.showToast({
        title: '您未登录请先登录',
        icon:'error',
        duration:2000
      })
      setTimeout(() => {
        wx.navigateTo({
          url: '/pages/logain/logain',
        });
      }, 2000);
    }
  } catch (e) {
    wx.navigateTo({
      url: '/pages/logain/logain',
    });
  }
}



module.exports = {
  checkLogin, checkLogin2
};
